Community Packages

Please read this before reporting a bug:
http://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#38548 - [openra] Dune 2000 mod does not download correct release data

Attached to Project: Community Packages
Opened by josefnpat (josefnpat) - Friday, 17 January 2014, 04:47 GMT
Last edited by Sven-Hendrik Haase (Svenstaro) - Sunday, 19 January 2014, 08:06 GMT
Task Type Bug Report
Category Packages
Status Closed
Assigned To Sven-Hendrik Haase (Svenstaro)
Architecture All
Severity Medium
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description:

Dune 2000 mod doesn't download correct release.

Additional info:
* package version(s)

community/openra 20131223-1 [installed]
An open-source implementation of the Red Alert engine using .NET/mono and
OpenGL

* config and/or log files etc.

Platform is Linux
Using SDL 1.2 with OpenGL renderer
Desktop resolution: 1680x1050
Using resolution: 1280x1024
Using OpenAL sound engine
Using default device
Available mods:
cnc: Tiberian Dawn (release-20131223)
d2k: Dune 2000 ({DEV_VERSION})
ra: Red Alert (release-20131223)
Loading mod: d2k

Steps to reproduce:

Install OpenRA

Open mods and install the Dune 2000 mod

It downloads the {DEV_VERSION} instead of the release.

See here: http://i.imgur.com/yD1mCwe.png
This task depends upon

Closed by  Sven-Hendrik Haase (Svenstaro)
Sunday, 19 January 2014, 08:06 GMT
Reason for closing:  Fixed
Comment by josefnpat (josefnpat) - Friday, 17 January 2014, 04:56 GMT
I was able to fix this by changing the `{DEV_VERSION}` string to `release-20131223` in /usr/lib/openra/mods/d2k/mod.yaml

Comment by Matthias Mailänder (Mailaender) - Friday, 17 January 2014, 09:13 GMT
It is probably the correct release data, just missing d2k in the sed "/Version/s/{DEV_VERSION}/release-${pkgver}/" -i mods/{ra,cnc}/mod.yaml

In fact I took the time to enhance the Makefile for more convenient downstream packaging. We now support "make version" to automatically do the version string replacement based on the current git tag which is safer. However you will need the meta data from a git clone then. You have git as a make dependency, but use the static GitHub tarball which is weird.

The sed "s/{VERSION}/$pkgver/g" packaging/linux/openra.desktop > "$pkgdir/usr/share/applications/openra.desktop" is completely wrong and will fail as I fixed FreeDesktop compliance last year https://github.com/OpenRA/OpenRA/pull/2644

We also have "make install-all" to also get the map editor and "make install-shortcuts" for icons and .desktop shortcut creation.

You might also want to add a dependency to sdl2 which is the preferred renderer and input system at the moment.

See https://build.opensuse.org/package/view_file/games/openra/openra.spec?expand=1 for a reference downstream packaging using all new Makefile features.
Comment by Sven-Hendrik Haase (Svenstaro) - Sunday, 19 January 2014, 08:05 GMT
Thanks a lot for the detailed description of your upstream changes. It cleaned up the PKGBUILD a lot.

Loading...